#pragma once
#include "RasterMainWidgetGUIAPI.h"
#include <QTextBrowser>
#include <QString>


namespace RasterMessageShow {

	class RASTERMAINWIDGETGUI_EXPORT RasterWidgetMessageShow:public QObject
	{
		Q_OBJECT
	public:
		RasterWidgetMessageShow(QObject* parant=nullptr);
		~RasterWidgetMessageShow();
		
	private:
		QTextBrowser* textBrowserMessage=nullptr;
	public:
		void bandingTextBrowserMessage(QTextBrowser* textBrowserMessage);
		QTextBrowser* getTextBrowserMessage();


	signals:
		void ShowMessage(QString Message);

	public slots:
		void ShowMessageInfo(QString Message);

	private:
		static RasterWidgetMessageShow* _instance; // µ„Ąż
	public:
		static RasterWidgetMessageShow* getInstance(QObject* parant = nullptr);
	};

}